/*
Copyright © 2013 Good Ideas for Internet, LTD -London, UK All Rights Reserved. 
No part of this software may be reproduced without Good Ideas for Internet's express consent.
	
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
For more info, please contact legal@gi4i.co.uk
*/

jQuery(document).ready(function() {

	jQuery("#TheSignUpForm").validate({
		rules: {
			dmr_user_firstName: {
				required: true,
				minlength: 3
			},
			dmr_user_lastName: {
				required: true,
				minlength: 3
			},
			dmr_user_email: {
				required: true,
				email: true
			},
			dmr_website_name: {
				required: true,
				minlength: 3
			},
			dmr_user_password: {
				required: true,
				minlength: 6,
				maxlength: 15
			},
			acceptPrivacyPolicy: {
				required: true,
			},
			acceptConditions: {
				required: true,
			}
			}, 
			messages: {
				dmr_user_firstName: "Please enter a valid name.",
				dmr_user_email: "Please enter a valid email address.",
				dmr_user_lastName: "Please use a valid family name.",
				dmr_user_password: "Password must be at least 6 characters."
			}
		});

	jQuery("#UpdateUData").click(function() {

		if(jQuery("#TheSignUpForm").valid()) {

			jQuery.getJSON(jQuery("input#dmrights_wp_js_server").val() + "/Services/JSonUpdateUserData?dmrights_catalog_code=" + jQuery("input#dmrights_catalog_code").val() + "&dmrights_api_key=" + jQuery("input#dmrights_api_key").val()	+ "&dmr_user_firstName=" + jQuery("input#dmr_user_firstName").val()	+ "&dmr_user_lastName=" + jQuery("input#dmr_user_lastName").val() + "&dmr_user_email=" + jQuery("input#dmr_user_email").val()	+ "&dmr_website_name=" + jQuery("input#dmr_website_name").val()	+ "&dmr_user_password=" + jQuery("input#dmr_user_password").val() + "&acceptPrivacyPolicy=" + jQuery("input#acceptPrivacyPolicy").val() + "&acceptConditions=" + jQuery("input#acceptConditions").val()	+ "&dmr_user_businessName=" + jQuery("input#dmr_user_businessName").val() + "&dmr_user_country=" + jQuery("#dmr_user_country").val()	+ "&dmr_website_license=" + jQuery("input#dmr_website_license").val() + "&dmr_default_language=" + jQuery("input#dmr_default_language").val() + "&dmr_copyright_license=" + jQuery("#dmr_copyright_license").val() + 
			"&dmrights_catalog_code=" + jQuery("input#dmrights_catalog_code").val() + 
			"&callback=?", function(result) {

				var errorNumber = 0;
				var dmrights_successful = null;
				var errorDescription = null;

				var dmrights_catalog_code = null;
				var dmrights_api_key = null;

				var dmr_user_firstName = null;
				var dmr_user_lastName = null;
				var dmr_user_businessName = null;
				var dmr_user_country = null;
				var dmr_user_email = null;
				var dmr_copyright_license = null;
				var dmr_website_name = null;

				jQuery.each(result, function(index, d) {

					if (d.dmrights_catalog_code != null)
						dmrights_catalog_code = d.dmrights_catalog_code;

					if (d.dmrights_api_key != null)
						dmrights_api_key = d.dmrights_api_key;

					if (d.successful != null)
						dmrights_successful = d.successful;

					if (d.errorNumber != null)
						{
						errorNumber = d.errorNumber;
						}

					if (d.errorDescription != null)
						errorDescription = d.errorDescription;

					if (d.successful != null)
						dmrights_successful = d.successful;

					if (d.dmr_user_firstName != null)
						dmr_user_firstName = d.dmr_user_firstName;

					if (d.dmr_user_lastName != null)
						dmr_user_lastName = d.dmr_user_lastName;

					if (d.dmr_user_businessName != null)
						dmr_user_businessName = d.dmr_user_businessName;

					if (d.dmr_user_country != null)
						dmr_user_country = d.dmr_user_country;

					if (d.dmr_user_email != null)
						dmr_user_email = d.dmr_user_email;

					if (d.dmr_copyright_license != null)
						dmr_copyright_license = d.dmr_copyright_license;

					if (d.dmr_website_name != null)
					{
						dmr_website_name = d.dmr_website_name;
					}

					if (d.dmr_user_country != null)
						dmr_user_country = d.dmr_user_country;

				});

				if (errorNumber !== 0)
				{
					jQuery("#result").html(errorDescription);
					jQuery("#result").fadeIn(3000);
					jQuery("input#dmr_registered_user").val('');
					
					setTimeout(function()
							{
							jQuery("#result").fadeOut(5000);
							},1000);
					

				} else {

					alert('NO Error');
					
					jQuery("#hide_new_user_1").show();
					jQuery("#hide_new_user_0").show();
					
					jQuery("#resultAPI").html(errorDescription);
					jQuery("#resultAPI").fadeIn(3000);				
					
					jQuery("input#dmrights_registered_user").val(dmrights_successful);
					jQuery("input#dmrights_catalog_code").val(dmrights_catalog_code);
					jQuery("input#dmrights_api_key").val(dmrights_api_key);

					jQuery('#dmr_copyright_license').val(dmr_copyright_license).attr("selected", "selected");
					jQuery("input#dmr_user_firstName").val(dmr_user_firstName);
					jQuery("input#dmr_user_lastName").val(dmr_user_lastName);
					jQuery("input#dmr_user_businessName").val(dmr_user_businessName);
					jQuery("input#dmr_user_email").val(dmr_user_email);

					jQuery("input#dmr_website_name").val(dmr_website_name);
					
					setTimeout(function()
							{
						jQuery('#dmr_user_country').val(dmr_user_country).attr("selected", "selected");
							},1000);

					jQuery("#SignUp").toggle(false);
					jQuery("#UpdateUData").toggle(true);
					
					setTimeout(function()
							{
							jQuery("#result").fadeOut(3000);
							},1000);
					

					jQuery(document).ready(function($) {

						var data = {
								action: 'auth_upgrade',
								dmrights_catalog_code: jQuery("input#dmrights_catalog_code").val(),
								dmrights_api_key: jQuery("input#dmrights_api_key").val(),
								dmrights_registered_user: jQuery("input#dmrights_registered_user").val()
						};

						$.post(ajaxurl, data, function(response) {

						});
					});
				}
			});
		}
	});
});